/*
 * CSS for generic admin components 
 */


/* Permissions Table */
/* ----------------------------------------- */
.permissionsTable {
    display: block;
    max-width: 720px;
    margin: 20px auto;
    padding: 0;
    position: relative;
    user-select: none;
    box-sizing: border-box;
}

.permissionsTable .permissionsTableHeader {
   height: 140px;
   padding: 10px;
   background: linear-gradient(to bottom,  #7da6dc 0%,#7ba4d9 25%,#618abd 100%);
   color: #fff;
   padding-left: 350px;
}

.permissionsTable .permissionsTableHeader span {
   display: inline-block;
   width: 28px;
   height: 140px;
   line-height: 28px;
   margin: 0;
   overflow: hidden;
   font-size: 12px;
   text-align: right;
   writing-mode: vertical-rl;
   text-orientation: mixed;
   letter-spacing: 0em;
   float: left;
}

.permissionsTable .permissionsTableContent {
   max-height: 400px;
   overflow-y: scroll;
   border: 1px solid rgba(0, 0, 0, 0.2);
   border-top: 0;
}

.permissionsTable .row {
   background: #e6e6e6;
   line-height: 28px;
   height: 28px;
   margin: 0;
   padding: 5px 10px;
   position: relative;
}

.permissionsTable .row:nth-child(odd) {
   background: #f4f4f4;
}

.permissionsTable .row:hover {
   background: #fff;
}

.permissionsTable .row .row-label {
   font-weight: bold;
   position: absolute;
   width: 300px;
}

.permissionsTable .row .row-value {
    padding-left: 340px;
}

.permissionsTable .row .row-value .row-option {
   float: left;
   height: 28px;
}

.permissionsTable .row .row-value input {
   display: none;
   cursor: pointer;
}

.permissionsTable .row .row-value label {
   height: 20px;
   width: 20px;
   display: inline-block;
   cursor: pointer;
   color: #fff;
   box-sizing: content-box;
   border: 1px solid rgba(0, 0, 0, 0.2);
   background: #fff;
   margin: 3px;
   text-align: center;
   overflow: hidden;
   position: relative;
}

.permissionsTable .row .row-value label:active:before {
   background: rgba(0, 0, 0, 0.1);
}

.permissionsTable .row .row-value label:before {
   content: '';
   display: block;
   position: absolute;
   top: 0;
   right: 0;
   left: 0;
   bottom: 0;
   line-height: 20px;
   font-size: 12px;
}

.permissionsTable .row .row-value input:checked + label {
   background: #7da6dc;
}

.permissionsTable .row .row-value input:disabled + label {
   opacity: 0.5;
}

.permissionsTable .row .row-value input:checked + label:before {
   content: '✓';
}

/* Task Dialog */
/* ----------------------------------------- */
.task-dialog {
    display: block;
    max-width: 720px;
    margin: 40px auto;
    border: 1px solid rgba(0, 0, 0, 0.2);
    padding: 20px;
    background: #f8f8f8;
    box-sizing: border-box;
}

.task-dialog .task-dialog-inner {
    
}

.task-dialog h2 {
    margin: -20px -20px 20px -20px;
    background: #7da6dc;
    background: linear-gradient(to bottom,  #7da6dc 0%,#7ba4d9 25%,#618abd 100%);
    color: #fff;
    padding: 10px 20px;
    font-weight: normal;
    font-size: 14px;
}

.task-dialog .task-dialog-actions {
    margin-top: 20px;
}

/* Admin Form Components */
/* ----------------------------------------- */
.admin-form .admin-form-row {
    margin: 20px 0;
}

.admin-form .admin-form-row label {
    margin: 20px 0;
    font-weight: bold;
    margin-bottom: 5px;
    display: block;
}

.admin-form .admin-form-row.required label:after {
    content: ' *';
    display: inline;
    color: red;
    font-weight: 100;
}

.admin-form .admin-form-row .description {
   font-size: 10px;
   font-style: italic;
   opacity: 0.5;
   margin-top: 5px;
}

.admin-form .admin-form-row .stats {
   font-size: 10px;
   margin-top: 3px;
}

.admin-form .admin-form-row .admin-row-field {
    
}

.admin-form select,
.admin-form input[type="text"],
.admin-form input[type="email"],
.admin-form input[type="password"],
.admin-form input[type="number"] {
    -webkit-appearance: none;
    display: inline-block;
    padding: 10px 20px;
    border: none;
    min-width: 320px;
    max-width: 100%;
    border: 1px solid rgba(0, 0, 0, 0.2);
    background: #fff;
    border-radius: 4px;
}

.admin-form input[type="submit"] {
    -webkit-appearance: none;
    display: inline-block;
    padding: 10px 30px;
    border: none;
    background: linear-gradient(to bottom,  #7da6dc 0%,#7ba4d9 25%,#618abd 100%);
    color: #fff;
    cursor: pointer;
    overflow: hidden;
    line-height: 12px;
    height: 32px;
    border-radius: 0;
}

.admin-form input[type="submit"]:active {
    line-height: 14px;
}

/* Admin Messages */
/* ----------------------------------------- */
.admin-messages {
   display: block;
   max-width: 720px;
   margin: 40px auto;
   box-sizing: border-box;
   counter-reset: message_counter;
}

.admin-message {
   padding: 15px 20px;
   color: #fff;
   background: #6a9a1e;
   margin: 0 0 20px 0;
   border: 1px solid rgba(0, 0, 0, 0.2);
}

.admin-message[data-type="warning"] {
   background: #e09344;
}

.admin-message a {
   color: inherit;
}

.admin-message p {
   color: inherit;
   margin: 0 0 10px 0;
   padding: 0 0 10px 0;
   border-bottom: 1px dashed rgba(255, 255, 255, 0.3);
   position: relative;
   padding-left: 100px;
}

.admin-message p::before {
   counter-increment: message_counter;
   content: '# ' counter(message_counter);
   display: inline;
   position: absolute;
   left: 0;
   opacity: 0.6;
}

.admin-message p:last-child {
   margin-bottom: 0;
   padding-bottom: 0;
   border-bottom: none;
}